// Cian Rice

// Based off of the saucer shoot code

#include "GameStart.h"
#include "GameManager.h"
#include "LogManager.h"

// Other includes
#include "LevelManager.h"
#include "Hero.h"
#include "Display.h"
#include "Sword.h"

GameStart::GameStart(string message) : TextMessage (message) {
  setType("GameStart");
}

// when done, end game
GameStart::~GameStart() {
  populateWorld();
}

void GameStart::populateWorld()
{
  LevelManager &lvlm = LevelManager::getInstance();
  lvlm.createLevels(); // Create the first level

  LogManager &lm = LogManager::getInstance();
  lm.writeLog("Current Level = %d", lvlm.current_level);
}
