// Cian Rice

#include "Key.h"
#include "WorldManager.h"
#include "ResourceManager.h"
#include "LogManager.h"

Key::Key(Position key_pos) {

	ResourceManager &rm = ResourceManager::getInstance();
	Sprite *p_temp_sprite = rm.getSprite("key");
	
	LogManager &lm = LogManager::getInstance();
	
	if(!p_temp_sprite){
		lm.writeLog("Key::Key(): Warning! Sprite '%s' not found", "key");
		return;
	}

	setType("Key");
	setSprite(p_temp_sprite, true);
	setSolid(true);
	setCentered(true);
	
	setPosition(key_pos);

}

Key::~Key() {

}

