#ifndef __LEVEL_MANAGER_H__
#define __LEVEL_MANAGER_H__

// Cian Rice

#include "Position.h"

// These are the max dimensions of a level

#define LVL_MAX_X 100
#define LVL_MAX_Y 100
#define MAX_LEVEL 5

class LevelManager {

 private:
  LevelManager (LevelManager const&);
  void operator = (LevelManager const&);
  LevelManager();

 public:
  static LevelManager &getInstance() // this way the Level Manager can be called repeatdly without making a new one
  {
	static LevelManager instance;
	return instance;
  }
 
  ~LevelManager();
  void createLevels();
  int current_level;
  void clearLevel();
  
  Position new_hero_pos;
  
};
	 
#endif
