#ifndef __LIVES_H__
#define __LIVES_H__

// Cian Rice

#include "GameObject.h"
#include "Position.h"

// Engine Includes
#include "WorldManager.h"
#include "GraphicsManager.h"
#include "LogManager.h"
#include "EventStep.h"

#include <iostream>
#include <sstream>
#include <string>

using namespace std;

class Lives : public GameObject {	

	protected:
	  int lives;

	public:
	  Lives(Position hud_pos, int init_lives);
	  ~Lives();
	  void draw();
	  void addLife(int lives_count);
	  int eventHandler(Event *e);

};

#endif
