#ifndef __SCORE_H__
#define __SCORE_H__

// Cian Rice

#include "GameObject.h"
#include "Position.h"

// Engine Includes
#include "WorldManager.h"
#include "GraphicsManager.h"
#include "LogManager.h"
#include "EventStep.h"

#include <iostream>
#include <sstream>
#include <string>

using namespace std;

class Score : public GameObject {	

	protected:
	  int score;

	public:
	  Score(Position hud_pos);
	  ~Score();
	  void draw();
	  void addPoints(int point_count);
	  int eventHandler(Event *e);

};

#endif
