//
// A 2-d Vector class
//

#ifndef __VECTOR_H__
#define __VECTOR_H__

class Vector {

 protected:
  float x; 			///< Horizontal coordinate in 2d world.
  float y; 			///< Vertical coordinate in 2d world.

 public:

  Vector(float init_x, float init_y);

  /// Default vector is (0,0).
  Vector();

  ~Vector();

  float getX();			///< Get horizontal coordinate.
  void setX(float new_x);	///< Set horizontal coordinate.
  float getY();			///< Get vertical coordinate.
  void setY(float new_y);	///< Set vertical coordinate.
};

#endif //__VECTOR_H__

