///
/// A "keyboard" event
/// 

#ifndef __EVENT_KEYBOARD_H__
#define __EVENT_KEYBOARD_H__

#include "Event.h"

#define KEYBOARD_EVENT "keyboard"

class EventKeyboard : public Event {

 protected:
  int key_val;			///< Stores the key value.

 public:
  EventKeyboard();

  /// Set the key in the event.
  void setKey(int new_key);

  /// Get the key from the event.
  int getKey();

};

#endif // __EVENT_KEYBOARD_H__
