///
/// A sprite frame
///

#ifndef __FRAME_H__
#define __FRAME_H__

#include <string>

using namespace std;

class Frame {

 protected:
  int width;			///< Width of frame
  int height;                   ///< Height of frame
  string frame_str;		///< All frame characters stored as a string.

 public:
  /// Create an empty frame.
  ~Frame();
  Frame();

  /// Create a frame of the indicated width and height with the string.
  Frame(int new_width, int new_height, string frame_str);
  int getWidth();
  void setWidth(int new_width);
  int getHeight();
  void setHeight(int new_height);
  string getString();
  void setFrame(string new_frame_str);
};

#endif //__FRAME_H__
